- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# lpopts_struct Struct Reference

`#include <dylp.h>`

List of all members.

## Public Attributes
cxtype_enum | context
int | scan
int | iterlim
int | idlelim
struct {
int strat
bool flex
bool allownopiv
} | dpsel
struct {
int strat
} | ppsel
int | factor
int | check
int | groom
struct {
int actlvl
int actlim
int deactlvl
} | con
int | addvar
int | dualadd
int | coldvars
bool | forcecold
bool | forcewarm
bool | usedual
bool | degen
int | degenpivlim
int | degenlite
bool | patch
bool | fullsys
bool | copyorigsys
int | scaling
struct {
float vars
float cons
} | active
struct {
double frac
bool i1lopen
double i1l
bool i1uopen
double i1u
bool i2valid
bool i2lopen
double i2l
bool i2uopen
double i2u
} | initcons
ibtype_enum | coldbasis
struct {
bool cons
bool vars
} | finpurge
struct {
bool d2p
bool p2d
bool flips
} | heroics
struct {
int major
int scaling
int setup
int crash
int pricing
int pivoting
int pivreject
int degen
int phase1
int phase2
int dual
int basis
int conmgmt
int varmgmt
int force
int tableau
int rays
int soln
} | print

## Detailed Description

Definition at line 1100 of file dylp.h.

## Member Data Documentation

cxtype_enum lpopts_struct::context

Definition at line 1101 of file dylp.h.

int lpopts_struct::scan

Definition at line 1102 of file dylp.h.

int lpopts_struct::iterlim

Definition at line 1103 of file dylp.h.

int lpopts_struct::idlelim

Definition at line 1104 of file dylp.h.

int lpopts_struct::strat

Definition at line 1105 of file dylp.h.

bool lpopts_struct::flex

Definition at line 1106 of file dylp.h.

bool lpopts_struct::allownopiv

Definition at line 1107 of file dylp.h.

struct { ... } lpopts_struct::dpsel

struct { ... } lpopts_struct::ppsel

int lpopts_struct::factor

Definition at line 1109 of file dylp.h.

int lpopts_struct::check

Definition at line 1110 of file dylp.h.

int lpopts_struct::groom

Definition at line 1111 of file dylp.h.

int lpopts_struct::actlvl

Definition at line 1112 of file dylp.h.

int lpopts_struct::actlim

Definition at line 1113 of file dylp.h.

int lpopts_struct::deactlvl

Definition at line 1114 of file dylp.h.

struct { ... } lpopts_struct::con

int lpopts_struct::addvar

Definition at line 1115 of file dylp.h.

int lpopts_struct::dualadd

Definition at line 1116 of file dylp.h.

int lpopts_struct::coldvars

Definition at line 1117 of file dylp.h.

bool lpopts_struct::forcecold

Definition at line 1118 of file dylp.h.

bool lpopts_struct::forcewarm

Definition at line 1119 of file dylp.h.

bool lpopts_struct::usedual

Definition at line 1120 of file dylp.h.

bool lpopts_struct::degen

Definition at line 1121 of file dylp.h.

int lpopts_struct::degenpivlim

Definition at line 1122 of file dylp.h.

int lpopts_struct::degenlite

Definition at line 1123 of file dylp.h.

bool lpopts_struct::patch

Definition at line 1124 of file dylp.h.

bool lpopts_struct::fullsys

Definition at line 1125 of file dylp.h.

bool lpopts_struct::copyorigsys

Definition at line 1126 of file dylp.h.

int lpopts_struct::scaling

Definition at line 1127 of file dylp.h.

float lpopts_struct::vars

Definition at line 1128 of file dylp.h.

float lpopts_struct::cons

Definition at line 1129 of file dylp.h.

struct { ... } lpopts_struct::active

double lpopts_struct::frac

Definition at line 1130 of file dylp.h.

bool lpopts_struct::i1lopen

Definition at line 1131 of file dylp.h.

double lpopts_struct::i1l

Definition at line 1132 of file dylp.h.

bool lpopts_struct::i1uopen

Definition at line 1133 of file dylp.h.

double lpopts_struct::i1u

Definition at line 1134 of file dylp.h.

bool lpopts_struct::i2valid

Definition at line 1135 of file dylp.h.

bool lpopts_struct::i2lopen

Definition at line 1136 of file dylp.h.

double lpopts_struct::i2l

Definition at line 1137 of file dylp.h.

bool lpopts_struct::i2uopen

Definition at line 1138 of file dylp.h.

double lpopts_struct::i2u

Definition at line 1139 of file dylp.h.

struct { ... } lpopts_struct::initcons

ibtype_enum lpopts_struct::coldbasis

Definition at line 1140 of file dylp.h.

bool lpopts_struct::cons

Definition at line 1141 of file dylp.h.

bool lpopts_struct::vars

Definition at line 1142 of file dylp.h.

struct { ... } lpopts_struct::finpurge

bool lpopts_struct::d2p

Definition at line 1143 of file dylp.h.

bool lpopts_struct::p2d

Definition at line 1144 of file dylp.h.

bool lpopts_struct::flips

Definition at line 1145 of file dylp.h.

struct { ... } lpopts_struct::heroics

int lpopts_struct::major

Definition at line 1146 of file dylp.h.

int lpopts_struct::setup

Definition at line 1148 of file dylp.h.

int lpopts_struct::crash

Definition at line 1149 of file dylp.h.

int lpopts_struct::pricing

Definition at line 1150 of file dylp.h.

int lpopts_struct::pivoting

Definition at line 1151 of file dylp.h.

int lpopts_struct::pivreject

Definition at line 1152 of file dylp.h.

int lpopts_struct::degen

Definition at line 1153 of file dylp.h.

int lpopts_struct::phase1

Definition at line 1154 of file dylp.h.

int lpopts_struct::phase2

Definition at line 1155 of file dylp.h.

int lpopts_struct::dual

Definition at line 1156 of file dylp.h.

int lpopts_struct::basis

Definition at line 1157 of file dylp.h.

int lpopts_struct::conmgmt

Definition at line 1158 of file dylp.h.

int lpopts_struct::varmgmt

Definition at line 1159 of file dylp.h.

int lpopts_struct::force

Definition at line 1160 of file dylp.h.

int lpopts_struct::tableau

Definition at line 1161 of file dylp.h.

int lpopts_struct::rays

Definition at line 1162 of file dylp.h.

int lpopts_struct::soln

Definition at line 1163 of file dylp.h.

struct { ... } lpopts_struct::print

The documentation for this struct was generated from the following file:

- /home/coin/SVN-release/Cgl-0.55.0/DyLP/src/Dylp/dylp.h